#17 SheepShaver patch for gcc-4.3 and Ubuntu Intrepid

open
nobody
None
5
2013-01-11
2009-01-15
Darik Horn
No

The attached patch makes SheepShaver compatible with Ubuntu Intrepid and other distros that bundle the gcc-4.3 compiler.

The patch changes two things:

1. Renames the block_cache where its name collides with its class definition.

2. Fixes the "explicit template specialization cannot have a storage class" error in the ppc-dyngen-ops.cpp file.

Discussion